hpp-core: hpp::core::WeighedDistance Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::WeighedDistance Class Reference
Steering method and distance functions

`#include <hpp/core/weighed-distance.hh>`

Inheritance diagram for hpp::core::WeighedDistance:
[legend]
Collaboration diagram for hpp::core::WeighedDistance:
[legend]

## Public Member Functions
virtual DistancePtr_t | clone () const
value_type | getWeight (size_type rank) const
void | setWeight (size_type rank, value_type weight)
const vector_t & | weights () const
| Get weights.
void | weights (const vector_t &ws)
| Set weights.
size_type | size () const
| Get size of weight vector.
const DevicePtr_t & | robot () const
| Get robot.
Public Member Functions inherited from hpp::core::Distance
value_type | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
value_type | operator() (NodePtr_t n1, NodePtr_t n2) const
value_type | compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const
value_type | compute (NodePtr_t n1, NodePtr_t n2) const
virtual | ~Distance ()

## Static Public Member Functions
static WeighedDistancePtr_t | createFromProblem (const ProblemConstPtr_t &problem)
static WeighedDistancePtr_t | create (const DevicePtr_t &robot)
static WeighedDistancePtr_t | createWithWeight (const DevicePtr_t &robot, const vector_t &weights)
static WeighedDistancePtr_t | createCopy (const WeighedDistancePtr_t &distance)

## Protected Member Functions
| WeighedDistance (const ProblemConstPtr_t &problem)
| WeighedDistance (const DevicePtr_t &robot)
| WeighedDistance (const DevicePtr_t &robot, const vector_t &weights)
| WeighedDistance (const WeighedDistance &distance)
void | init (WeighedDistanceWkPtr_t self)
virtual value_type | impl_distance (ConfigurationIn_t q1, ConfigurationIn_t q2) const
| Derived class should implement this function.
| WeighedDistance ()
| For serialization only.
Protected Member Functions inherited from hpp::core::Distance
| Distance ()
virtual value_type | impl_distance (NodePtr_t n1, NodePtr_t n2) const
| HPP_SERIALIZABLE ()

## Detailed Description

Weighed distance between configurations

Euclidean distance between configurations seen as vectors. Each degree of freedom is weighed by a positive value.

## Constructor & Destructor Documentation

## ◆ WeighedDistance() [1/5]

hpp::core::WeighedDistance::WeighedDistance | ( | const ProblemConstPtr_t & | problem | ) |
| protected

## ◆ WeighedDistance() [2/5]

hpp::core::WeighedDistance::WeighedDistance | ( | const DevicePtr_t & | robot | ) |
| protected

## ◆ WeighedDistance() [3/5]

hpp::core::WeighedDistance::WeighedDistance | ( | const DevicePtr_t & | robot,
|  | const vector_t & | weights
| ) |  |
| protected

## ◆ WeighedDistance() [4/5]

hpp::core::WeighedDistance::WeighedDistance | ( | const WeighedDistance & | distance | ) |
| protected

## ◆ WeighedDistance() [5/5]

hpp::core::WeighedDistance::WeighedDistance | ( |  | ) |
| inlineprotected

For serialization only.

## Member Function Documentation

## ◆ clone()

virtual DistancePtr_t hpp::core::WeighedDistance::clone | ( |  | ) | const
| virtual

Implements hpp::core::Distance.

## ◆ create()

static WeighedDistancePtr_t hpp::core::WeighedDistance::create | ( | const DevicePtr_t & | robot | ) |
| static

## ◆ createCopy()

static WeighedDistancePtr_t hpp::core::WeighedDistance::createCopy | ( | const WeighedDistancePtr_t & | distance | ) |
| static

## ◆ createFromProblem()

static WeighedDistancePtr_t hpp::core::WeighedDistance::createFromProblem | ( | const ProblemConstPtr_t & | problem | ) |
| static

## ◆ createWithWeight()

static WeighedDistancePtr_t hpp::core::WeighedDistance::createWithWeight | ( | const DevicePtr_t & | robot,
|  | const vector_t & | weights
| ) |  |
| static

## ◆ getWeight()

value_type hpp::core::WeighedDistance::getWeight | ( | size_type | rank | ) | const

Get weight of joint at given rank

Parameters

  rank | rank of the joint in robot joint vector

## ◆ impl_distance()

virtual value_type hpp::core::WeighedDistance::impl_distance | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| protectedvirtual

Derived class should implement this function.

Implements hpp::core::Distance.

## ◆ init()

void hpp::core::WeighedDistance::init | ( | WeighedDistanceWkPtr_t | self | ) |
| protected

## ◆ robot()

const DevicePtr_t & hpp::core::WeighedDistance::robot | ( |  | ) | const
| inline

Get robot.

## ◆ setWeight()

void hpp::core::WeighedDistance::setWeight | ( | size_type | rank,
|  | value_type | weight
| ) |  |

Set weight of joint at given rank

Parameters

  rank | rank of the joint in robot joint vector

## ◆ size()

size_type hpp::core::WeighedDistance::size | ( |  | ) | const
| inline

Get size of weight vector.

## ◆ weights() [1/2]

const vector_t & hpp::core::WeighedDistance::weights | ( |  | ) | const

Get weights.

## ◆ weights() [2/2]

void hpp::core::WeighedDistance::weights | ( | const vector_t & | ws | ) |

Set weights.

The documentation for this class was generated from the following file:

- include/hpp/core/weighed-distance.hh